'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
var addTokenToImage = exports.addTokenToImage = function addTokenToImage(url, token, small, sizeFromParam) {

  if (url.indexOf('&size=small') > -1) {
    url = url.replace('&size=small', '');
  }

  var size = '&size=' + (sizeFromParam || 'small');

  if (small) {
    size = '&size=icon';
  }

  if (url && token && url.indexOf('blob?') > -1) {
    return url + size + '&access_token=' + token;
  }

  return url;
};