'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _keys = require('babel-runtime/core-js/object/keys');

var _keys2 = _interopRequireDefault(_keys);

exports.default = function (value) {
  var empty = false;

  if ((0, _type2.default)(value) === 'null' || (0, _type2.default)(value) === 'undefined') {
    empty = true;
  } else if ((0, _type2.default)(value) === 'object') {
    empty = (0, _keys2.default)(value).length === 0;
  } else if ((0, _type2.default)(value) === 'boolean') {
    empty = value === false;
  } else if ((0, _type2.default)(value) === 'number') {
    empty = value === 0 || value === -1;
  } else if ((0, _type2.default)(value) === 'array' || (0, _type2.default)(value) === 'string') {
    empty = value.length === 0;
  }

  return empty;
};

var _type = require('../type');

var _type2 = _interopRequireDefault(_type);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

;